Mehrere Assets anlegen
curl --request POST \
--url https://api.docusnap365.com/api/v1/asset/bulk \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
[
{
"schemaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sourceType": "manual",
"completenessLevel": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"objectData": {},
"essentials": {
"sections": {}
},
"facets": {}
}
]
'import requests
url = "https://api.docusnap365.com/api/v1/asset/bulk"
payload = [
{
"schemaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sourceType": "manual",
"completenessLevel": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"objectData": {},
"essentials": { "sections": {} },
"facets": {}
}
]
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
schemaId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
object: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
schemaId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
sourceType: 'manual',
completenessLevel: 123,
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
platformId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
domainId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
version: 123,
status: '<string>',
createdAt: '2023-11-07T05:31:56Z',
createdBy: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
modifiedAt: '2023-11-07T05:31:56Z',
modifiedBy: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
deletedAt: '2023-11-07T05:31:56Z',
deletedBy: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
objectData: {},
essentials: {sections: {}},
facets: {}
}
])
};
fetch('https://api.docusnap365.com/api/v1/asset/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}"<string>""<string>""<string>"Assets
Mehrere Assets anlegen
Wie POST /asset, für bis zu 100 Assets in einem Aufruf und einer
Transaktion — bekannte Assets werden aktualisiert.
Berechtigung: Schreiben.
POST
/
asset
/
bulk
Mehrere Assets anlegen
Autorisierungen
API-Schlüssel aus Docusnap365 (Verwaltung › API-Schlüssel). Lesende Endpunkte verlangen die Berechtigung Lesen, schreibende Schreiben.
Body
application/json
Maximum array length:
100Typ des Assets. Pflicht, auch wenn object.schemaId gesetzt ist.
Korrelations-ID, optional.
Stammdaten eines Assets.
Show child attributes
Show child attributes
Daten des Typs, nach dessen Datendefinition.
Kurzansicht des Assets.
Show child attributes
Show child attributes
ITAM- und ISMS-Daten des Assets, je Bereich eine Liste.
Antwort
Ergebnis des Anlegens oder Aktualisierens.
The response is of type object.